X2Go Bug report logs - #404
Parts of the username are sanitized away in the session name.

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Klaus Ade Johnstad <klaus@linuxavdelingen.no>

Date: Sun, 19 Jan 2014 12:55:02 UTC

Severity: normal

Tags: moreinfo, pending

Found in version 4.0.1.12

Fixed in version 4.0.0.11

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#404; Package x2goserver. (Sun, 19 Jan 2014 12:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 19 Jan 2014 12:55:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: submit@bugs.x2go.org
Subject: Parts of the username are sanitized away in the session name.
Date: Sun, 19 Jan 2014 12:52:35 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.12
I have a user that is unable to login to a Debian Wheezy server using 
xfce4. She is able to login with ssh and with nx, but not with x2go. 
Her username is «eaan», and this is what happens when she tries to run 
x2gostartagent:
eaan@server:~$ x2gostartagent
eaan is not authorized at /usr/lib/x2go/x2gosqlitewrapper.pl line 526.
: /usr/lib/x2go/x2gosqlitewrapper insertsession 51 server 
en-51-1390073858 at /usr/lib/x2go/x2godbwrapper.pm line 320.

Notize how her username «eaan» somehow is sanitized into «en» in the 
session name, the aa's are gone.


-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#404; Package x2goserver. (Mon, 20 Jan 2014 11:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 11:50:02 GMT) (full text, mbox, link).


Message #10 received at 404@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Klaus Ade Johnstad <klaus@linuxavdelingen.no>, 404@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#404: Parts of the username are sanitized away in the session name.
Date: Mon, 20 Jan 2014 11:47:51 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 moreinfo

Hi Klaus Ade,

On  So 19 Jan 2014 12:52:35 CET, Klaus Ade Johnstad wrote:

> Package: x2goserver
> Version: 4.0.1.12
> I have a user that is unable to login to a Debian Wheezy server using
> xfce4. She is able to login with ssh and with nx, but not with x2go.
> Her username is «eaan», and this is what happens when she tries to run
> x2gostartagent:
> eaan@server:~$ x2gostartagent
> eaan is not authorized at /usr/lib/x2go/x2gosqlitewrapper.pl line 526.
> : /usr/lib/x2go/x2gosqlitewrapper insertsession 51 server
> en-51-1390073858 at /usr/lib/x2go/x2godbwrapper.pm line 320.
>
> Notize how her username «eaan» somehow is sanitized into «en» in the
> session name, the aa's are gone.

eaan@minobo:~$ x2gostartagent
57
296e1b399b0720fb0569aeed6678772c
31221
eaan-57-1390218373
30004
30005
30006

OK, we need to dig deeper...

X2Go Server has trouble with non-posix home directory names... Does  
her home directory have a non-7bit-ascii dir name?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 404-submit@bugs.x2go.org. (Mon, 20 Jan 2014 11:50:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#404; Package x2goserver. (Mon, 20 Jan 2014 12:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 12:55:01 GMT) (full text, mbox, link).


Message #17 received at 404@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 404-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 404@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 20 Jan 2014 13:54:10 +0100 (CET)
tag #404 pending
fixed #404 4.0.0.11
thanks

Hello,

X2Go issue #404 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1c6a955

The issue will most likely be fixed in src:x2goserver (4.0.0.11).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1c6a9558bc9cee73a3980d5c4aa5bb5b662834a2
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jan 20 13:52:44 2014 +0100

     Use perl instead of sed for search+replace in session names sanitizing. (Fixes: #404).

diff --git a/debian/changelog b/debian/changelog
index f3096ee..62bb4af 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 x2goserver (4.0.0.11-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development on LTS release branch...
+  * New upstream version (4.0.0.11):
+    - Use perl instead of sed for search+replace in session names sanitizing.
+      (Fixes: #404).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 07 Jan 2014 18:43:03 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Jan 2014 12:55:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.0.11. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Jan 2014 12:55:02 GMT) (full text, mbox, link).


Message sent on to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Bug#404. (Mon, 20 Jan 2014 12:55:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#404; Package x2goserver. (Mon, 20 Jan 2014 13:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 13:00:01 GMT) (full text, mbox, link).


Message #29 received at 404@bugs.x2go.org (full text, mbox, reply):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: 404@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#404: Parts of the username are sanitized away in the session name.
Date: Mon, 20 Jan 2014 12:57:11 +0100
[Message part 1 (text/plain, inline)]
Mandag 20. januar 2014 12:47:51 skrev Mike Gabriel:
> X2Go Server has trouble with non-posix home directory names... Does  
> her home directory have a non-7bit-ascii dir name?

No, her home-dir does not contain any non-7bit-ascii.


-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#404; Package x2goserver. (Mon, 20 Jan 2014 13:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 13:05:01 GMT) (full text, mbox, link).


Message #34 received at 404@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 404-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 404@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Mon, 20 Jan 2014 14:01:31 +0100 (CET)
close #404
thanks

Hello,

we are very hopeful that X2Go issue #404 reported by you
has been resolved in the new release (4.0.0.11) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.11)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=08ea303754ff155fe0656e7aae5bc696fdcea4d4;hp=560ad5c9587051726ab08cecb4f7b08b35a16784

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.11-0x2go1
Status: RELEASE
Date: Mon, 20 Jan 2014 14:00:42 +0100
Fixes: 404
Changes: 
 x2goserver (4.0.0.11-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (4.0.0.11):
     - Use perl instead of sed for search+replace in session names sanitizing.
       (Fixes: #404).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 20 Jan 2014 13:05:02 GMT) (full text, mbox, link).


Notification sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 13:05:02 GMT) (full text, mbox, link).


Message sent on to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Bug#404. (Mon, 20 Jan 2014 13:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#404; Package x2goserver. (Mon, 20 Jan 2014 13:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 20 Jan 2014 13:25:01 GMT) (full text, mbox, link).


Message #46 received at 404@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 404@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#404: Bug#404: Parts of the username are sanitized away in the session name.
Date: Mon, 20 Jan 2014 13:24:33 +0000
[Message part 1 (text/plain, inline)]
On  Mo 20 Jan 2014 12:57:11 CET, Klaus Ade Johnstad wrote:

> Mandag 20. januar 2014 12:47:51 skrev Mike Gabriel:
>> X2Go Server has trouble with non-posix home directory names... Does  
>> her home directory have a non-7bit-ascii dir name?
>
> No, her home-dir does not contain any non-7bit-ascii.

For the interest of all, Klaus Ade found the reason [1] for this weird  
issue. It is locale related. Using perl -pe instead of sed solves the  
problem.

Mike

[1] http://osdir.com/ml/bug-gnu-utils-gnu/2013-06/msg00013.html
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 18 Feb 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 13:53:49 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.